Name:		groonga
Version:	1.0.2
Release:	2%{?dist}
Summary:	An Embeddable Fulltext Search Engine

Group:		Applications/Text
License:	LGPLv2
URL:		http://groonga.org/
Source0:	http://groonga.org/files/groonga/groonga-%{version}.tar.gz
Patch0:		groonga-init-status.patch

BuildRequires:	mecab-devel
Requires:	%{name}-libs = %{version}-%{release}

%description
Groonga is an embeddable full-text search engine library.  It can
integrate with DBMS and scripting languages to enhance their search
functionality.  It also provides a standalone data store server based
on relational data model.

%package libs
Summary:	Runtime libraries for groonga
Group:		System Environment/Libraries

%description libs
This package contains the libraries for groonga

%package doc
Summary:	Documentation for groonga
Group:		Documentation

%description doc
Documentation for groonga

%package devel
Summary:	Libraries and header files for groonga
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Libraries and header files for groonga

%package tokenizer-mecab
Summary:	MeCab tokenizer for groonga
Group:		Applications/Text
Requires:	%{name}-libs = %{version}-%{release}
Requires:	mecab

%description tokenizer-mecab
MeCab tokenizer for groonga

%package munin-plugins
Summary:	Munin plugins for groonga
Group:		Applications/System
Requires:	%{name}-libs = %{version}-%{release}
Requires:	munin-node

%description munin-plugins
Munin plugins for groonga

%prep
#% define optflags -O0
%setup -q
%patch0 -p1


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/groonga/modules/*/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d/
mv $RPM_BUILD_ROOT%{_sysconfdir}/groonga/init.d/redhat/groonga \
	$RPM_BUILD_ROOT%{_sysconfdir}/init.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
mv $RPM_BUILD_ROOT%{_sysconfdir}/groonga/init.d/redhat/sysconfig \
	$RPM_BUILD_ROOT%{_sysconfdir}/

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/groonga/init.d/

mv $RPM_BUILD_ROOT%{_datadir}/groonga/munin/ $RPM_BUILD_ROOT%{_datadir}/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/munin/plugin-conf.d/
cat <<EOC > $RPM_BUILD_ROOT%{_sysconfdir}/munin/plugin-conf.d/groonga
[groonga_*]
  user groonga
  group groonga
  env.PATH /usr/bin:/bin:/usr/local/bin
  env.pid_file /var/run/groonga/groonga.pid
  env.path /var/lib/groonga/db/db
  env.host 127.0.0.1
  env.port 10041
  env.log_path /var/log/groonga/query.log
EOC

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if ! /usr/bin/getent group groonga &>/dev/null; then
	/usr/sbin/groupadd -r groonga || \
		echo "Unexpected error adding group \"groonga\". Aborting installation."
fi
if ! /usr/bin/id groonga &>/dev/null; then
	/usr/sbin/useradd -r -s /sbin/nologin -c 'groonga' \
		-d %{_localstatedir}/lib/groonga --create-home \
		-g groonga groonga || \
		echo "Unexpected error adding user \"groonga\". Aborting installation."
fi

%post
/sbin/chkconfig --add groonga
/bin/mkdir -p /var/run/groonga
/bin/chown -R groonga:groonga /var/run/groonga

%post libs -p /sbin/ldconfig

%post munin-plugins
/usr/sbin/munin-node-configure --shell --remove-also | grep -e 'groonga_' | sh
[ -f /var/lock/subsys/munin-node ] && \
	/sbin/service munin-node restart > /dev/null 2>&1
:

%preun
if [ $1 -eq 0 ] ; then
	/sbin/service groonga stop > /dev/null 2>&1
	/sbin/chkconfig --del groonga
fi

%postun
if [ $1 -ge 1 ] ; then
	/sbin/service groonga condrestart > /dev/null 2>&1
fi

if [ $1 -eq 0 ]; then
	/usr/sbin/userdel -r groonga || \
		echo "User \"groonga\" could not be deleted."
fi

%postun libs -p /sbin/ldconfig

%postun munin-plugins
if [ $1 -eq 0 ]; then
	rm %{_sysconfdir}/munin/plugins/groongar_* > /dev/null 2>&1
	[ -f /var/lock/subsys/munin-node ] && \
		/sbin/service munin-node restart > /dev/null 2>&1
	:
fi


%files
%defattr(-,root,root,-)
%doc %{_datadir}/man/man1/*
%config(noreplace) %{_sysconfdir}/groonga/
%config(noreplace) %{_sysconfdir}/sysconfig/groonga
%{_bindir}/*
%{_sysconfdir}/init.d/*

%files libs
%defattr(-,root,root,-)
%doc README AUTHORS COPYING
%{_libdir}/*.so.*
%{_libdir}/groonga/modules/suggest/*.so
%{_datadir}/groonga/admin_html/

%files doc
%defattr(-,root,root,-)
%doc %{_datadir}/groonga/doc/

%files devel
%defattr(-, root, root)
%{_includedir}/groonga/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/groonga*.pc

%files tokenizer-mecab
%defattr(-, root, root)
%{_libdir}/groonga/modules/tokenizers/mecab.so

%files munin-plugins
%defattr(-, root, root)
%{_datadir}/munin/
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/

%changelog
* Fri Oct  1 2010 Daiki Ueno <dueno@redhat.com> - 1.0.2-2
- don't require autotools when building
- pass --disable-static to %%configure

* Thu Sep 09 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.2-1
- new upstream release.

* Thu Sep 06 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.1-1
- new upstream release.

* Thu Sep 02 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.0-1
- split packages.

* Tue Aug 24 2010 Daiki Ueno <dueno@redhat.com> - 0.7.6-1
- initial packaging for Fedora
